%define LANG zh
%define name man-pages-%{LANG}

%define fname man-pages-zh_CN

#####################
#
# I have no idea where to get newer pages; there is no URL
# AdamW: There's http://www.linux.org.tw/CLDP/man/ , but nothing there
# at present (May 2007)
#
#####################

Summary: Chinese Man Pages
Name: man-pages-%{LANG}
Version: 1.6.3.2
Release: %mkrel 5
License: FDL
Group: System/Internationalization
Source: https://github.com/man-pages-zh/manpages-zh/archive/v%{version}/%{name}-%{version}.tar.gz
Source1: makewhatis.%{LANG}_CN.UTF-8.bz2
Source2: makewhatis.%{LANG}_CN.bz2
BuildRequires: man
BuildRequires: python3
BuildRequires: pkgconfig(opencc)
Requires: locales-%{LANG}, man
Autoreq: false
BuildArch: noarch
Requires: locales-%{LANG}
Obsoletes: man-%{LANG}, manpages-%{LANG}
Provides: man-%{LANG}, manpages-%{LANG}

%description
Set of man pages translated into Chinese language

%prep
%setup -q -n manpages-zh-%{version}

%build
autoreconf -vfi
%configure
%make_build

# fix conflict with mplayer:
rm -f */man1/mplayer.1

%install
%make_install

%files
%{_mandir}/zh_*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.6.3.2-5.mga10
+ Revision: 2211780
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 1.6.3.2-4.mga9
+ Revision: 1830116
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6.3.2-3.mga8
+ Revision: 1502022
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 1.6.3.2-2.mga7
+ Revision: 1279482
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 1.6.3.2-1.mga7
+ Revision: 1216660
- Update to version 1.6.3.2

* Sun Jan 31 2016 umeabot <umeabot> 1.5-14.mga6
+ Revision: 929505
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5-13.mga5
+ Revision: 741012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-12.mga5
+ Revision: 682158
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.5-11.mga4
+ Revision: 522713
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 1.5-10.mga3
+ Revision: 405269
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 1.5-9.mga3
+ Revision: 359404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 1.5-8.mga1
+ Revision: 6063
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages-zh


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-8mdv2011.0
+ Revision: 606626
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.5-7mdv2010.1
+ Revision: 521778
- rebuilt for 2010.1

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.5-6mdv2009.1
+ Revision: 351587
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.5-5mdv2009.0
+ Revision: 223195
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.5-4mdv2008.1
+ Revision: 152998
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 01 2007 Adam Williamson <awilliamson@mandriva.org> 1.5-2mdv2008.0
+ Revision: 33501
- rebuild for new era; drop /var/catman (wildly obsolete)


* Thu Jul 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5-1mdk
- new upstream source (#16295)

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.24-5mdk
- rebuild

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.24-4mdk
- build release

* Fri Mar 08 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.24-3mdk
- fix permission on /usr/share/man/id/*
- provides manpages-%%{LANG}
- don't overwrite crontab if user altered it

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.24-2mdk
- Use %%_tmppath for BuildRoot

* Thu Jul 20 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.2.24-1mdk
- First rpm for Mandrake

